/* main CSS */

/* --- GENERAL --- */

body{
    background-color: #1C1B1B;
    font-size: 100%;
    line-height: 150%;
    font-family: "Source Serif 4", serif;
    color: #888;
    background-image: url(img/bg02.gif);
    background-position: top center;
    background-repeat: no-repeat;
}

strong{
    font-weight: 700;
}

em{
    font-style: italic;
}


/* --- STRUCTURE --- */

#wrap{
    margin: auto;
    padding: 36px;
    max-width: 800px;
    width: 80%;
    height: 80%;
}

header{
    margin-bottom: 1em;
    padding-bottom: 1em;
    border-bottom: 1px solid #444;
}

footer{
    margin-top:1em;
    padding-top:1em;
    border-top:1pt solid #444;
}

/* --- TYPOGRAPHY --- */

h1,h2,h3,h4,h5{
    font-family: "Poppins", sans-serif;
    font-weight: 700;
    line-height: 120%;
}

h1.mainTitle{
    display: block;
    width: 100%;
    height: 20vh;
    background-image: url(img/ddtitle.png);
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    font-size: 2.5em;
    margin: 0 0 1em 0;
    text-transform: uppercase;
    overflow: auto;
    color: transparent;
}

h1{
    font-size: 2.3em;
    font-family: 'Fira Code', monospace;
    font-weight: 400;
    margin: 1em 0;
    color: #DAFF00;
}

h2{
    font-size: 1.8em;
    font-family: 'Fira Code', monospace;
    font-weight: 400;
    margin: 1em 0 0.5em 0;
}

h3{
    font-size: 1.3em;
    margin: 1.5em 0 0 0;
    color: beige;
}

h4{
    display: inline-block;
    font-size: 1em;
    margin: 1.5em 0 0.5em 0;
    padding: 0 0 3px 0;
    border-bottom: 1px dotted #333;
}

a,a:link,a:active,a:visited{
    text-decoration: none;
    color: #DAFF00;
    transition-duration: 1000ms;
    padding: 3px;
    display: inline-block;
    font-family: 'Fira Code', monospace;
}

a:hover{
    color: white;
    transition-duration: 1000ms;
    background-color: #D61680;
    border-radius: 5px;
}

a.download{
    display: inline-block;
    font-family: 'Fira Code',monospace;
    font-weight: 400;
    background-color: #DAFf00;
    padding: 0.5em;
    border-radius: 7px;
    color: #1C1B1B;
    transition-duration: 1000ms;
}

a.download:hover{
    background-color:#D61680;
    transition-duration: 1000ms;
    color: beige;
}

p,ol,ul{
    margin:1em 0;
}

ul li{
    list-style-type:square;
    margin-left: 1em;
}

ol{
    list-style: decimal;
    margin:0 0 0 3em;
}

ol li{
    padding-left:1em;
}